Anonymous Login
2018-12-15 13:35 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001851OpenClonkObjectspublic2016-12-16 21:05
ReporterFulgen 
Assigned ToMaikel 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Versiongit master 
Summary0001851: Wind generator: GetPowerNetwork() either not called from definition context or no object specified..
DescriptionI spawned a wind generator in the playground, and this error was logged:

[12:08:07] ERROR: ERROR: script: GetPowerNetwork() either not called from definition context or no object specified..
[12:08:07] by: Library_Power->GetPowerNetwork() (Objects.ocd\Libraries.ocd\Structures.ocd\Power.ocd\Script.c:181)
[12:08:07] by: Object(2052702)->RefreshPowerNetwork(Object(1902420)) (Objects.ocd\Libraries.ocd\Structures.ocd\Flag.ocd\Script.c:525)
[12:08:07] by: Object(2052702)->RefreshAllPowerNetworks() (Objects.ocd\Libraries.ocd\Structures.ocd\Flag.ocd\Script.c:496)
[12:08:07] by: Object(2052702)->AddOwnership() (Objects.ocd\Libraries.ocd\Structures.ocd\Flag.ocd\Script.c:211)
[12:08:07] by: Object(2052702)->Initialize() (Objects.ocd\Libraries.ocd\Structures.ocd\Flag.ocd\Script.c:56)
[12:08:07] by: Object(2052702)->Initialize() (Objects.ocd\Structures.ocd\WindGenerator.ocd\Script.c:39)
[12:08:07] by: Object(2051816)->SpawnObject(WindGenerator) (Savegames.ocf\PlayGround.ocf\PlayGround1.ocs\SpawnMenu.ocd\Script.c:388)
[12:08:07] by: Object(2051816)->MenuSpawnObject(WindGenerator) (Savegames.ocf\PlayGround.ocf\PlayGround1.ocs\SpawnMenu.ocd\Script.c:274)
TagsObjects, Power, Script
Attached Files

-Relationships
+Relationships

-Notes

~0005537

Maikel (developer)

Does not happen any more, probably due to a recent related bugfix.
+Notes

-Issue History
Date Modified Username Field Change
2016-11-12 11:11 Fulgen New Issue
2016-11-12 11:11 Fulgen Tag Attached: Objects
2016-11-12 11:11 Fulgen Tag Attached: Power
2016-11-12 11:11 Fulgen Tag Attached: Script
2016-12-16 21:05 Maikel Assigned To => Maikel
2016-12-16 21:05 Maikel Status new => resolved
2016-12-16 21:05 Maikel Resolution open => fixed
2016-12-16 21:05 Maikel Fixed in Version => git master
2016-12-16 21:05 Maikel Note Added: 0005537
+Issue History